Bug 616852 - Wrong exit status code in initscript
Wrong exit status code in initscript
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: systemtap (Show other bugs)
6.1
All Linux
high Severity medium
: rc
: ---
Assigned To: Frank Ch. Eigler
qe-baseos-tools
: RHELNAK
Depends On:
Blocks: 633349
  Show dependency treegraph
 
Reported: 2010-07-21 10:33 EDT by Michal Fabry
Modified: 2011-05-13 08:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-22 16:35:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Fabry 2010-07-21 10:33:47 EDT
Problem with exit status code when restarting stopped service:

--------
# service systemtap status
one is stopped
# service systemtap restart

Starting systemtap: [WARNING]
# echo $?
5
--------
According to [1] there should be exit code 7 (program is not running) and not 5 (program is not installed).


[1] https://fedoraproject.org/wiki/FCNewInit/Initscripts
Comment 2 Michal Fabry 2010-07-21 10:50:05 EDT
I also overlooked wrong exit code when someone with insufficient rights is trying to restart service. It should return 4 (user had insufficient privilege) and not 1.
Comment 3 RHEL Product and Program Management 2010-07-21 10:58:10 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 6 Frank Ch. Eigler 2010-11-22 16:31:27 EST
These appear to be minor inconsistencies with standards that assume that some of the error conditions are easier to tell apart than it is for us in stap land.
Comment 7 RHEL Product and Program Management 2010-11-22 16:35:02 EST
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.